require "birt/api/version"
require "birt/api/engine"
require "birt/core"

module Birt
  module Api
    class Options < OpenStruct
      def before_filter(&block)
        if block_given?
          self.before_filter_proc = block
        else
          self.before_filter_proc
        end
      end
    end

    mattr_accessor :options

    self.options = Options.new(

        url:                  '/birt/api',
        app_name:             'BirtApi',
        app_url:              'https://github.com/mumaoxi/birt-api',

        headers:              {},

        api_auth:             '',        # 'basic' or 'bearer'
        api_key_name:         'api_key', # 'Authorization'
        api_key_type:         'query',   # 'header'

        before_filter_proc:   nil # Proc used as a controller before filter
    )

  end

end
